Package pyparsing :: Module pyparsing :: Class ParseFatalException |
[frames] | no frames]

# Class ParseFatalException

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                  ParseBaseException --+
                                       |
                                      ParseFatalException

Known Subclasses:
  - ParseSyntaxException

user-throwable exception thrown when inconsistent parse content is found; stops all parsing immediately

Instance Methods
Inherited from `ParseBaseException`: `__dir__`, `__getattr__`, `__init__`, `__repr__`, `__str__`, `markInputline` Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`